# 上传单条商城数据


## 修改历史


## 接口定义

    /v1/upload_shop_vision_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}
    X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters

    dataId          {String}    唯一ID ，由Android端生成
    parentId        {int}       家长ID
    leftEye         {float}     左眼视力 3.8-5.3
    rightEye        {float}     右眼视力 3.8-5.3
    distance        {int}       3米或5米
    phone           {String}    手机号
    testTime        {int}

## Response


### Example

**Command**

    curl -X POST \
    	    -H "X-DeviceInformation: 11%2f22%2f141" \
            -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           -d 'dataId=1DE5CAAA-DB46-419A-8162-EC853DAEA5CF&studentId=549&leftEye=1.0&rightEye=1.2&parentId=10&phone=1111&distance=3&testTime=1560426091' \
       http://localhost:8080/v1/upload_shop_vision_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }